default:
    image: pulumi/pulumi-python:2.10.1
    before_script:
        - python3 -m venv /builds/taasin.saquib/pulumi-start/venv
        - /builds/taasin.saquib/pulumi-start/venv/bin/python -m pip install --upgrade pip setuptools wheel
        - /builds/taasin.saquib/pulumi-start/venv/bin/python -m pip install -r requirements.txt
        - pulumi login

stages:
    - plan
    - apply

pulumi-preview:
    stage: plan
    script:
        - pulumi stack select gcp-py-functions
        - pulumi preview

pulumi-up:
    stage: apply
    script:
        - pulumi stack select gcp-py-functions
        - pulumi up --yes
    only:
        - master